<?php
    require_once TEMPLATEPATH . '/lib/Themater.php';
    $theme = new Themater('Terra');
    $theme->options['includes'] = array('featuredposts', 'aboutus');
    
    $theme->options['plugins_options']['featuredposts'] = array('hook' => 'main_before', 'image_sizes' => '930px. x 300px.', 'speed' => '400', 'effect' => 'fade');

    
    unset($theme->admin_options['Ads']);

    
    // Footer widgets
    $theme->admin_option('Layout', 
        'Footer Widgets Enabled?', 'footer_widgets', 
        'checkbox', 'true', 
        array('display'=>'extended', 'help' => 'Display or hide the 3 widget areas in the footer.', 'priority' => '15')
    );


    $theme->load();
    
    register_sidebar(array(
        'name' => __('Primary Sidebar', 'themater'),
        'id' => 'sidebar_primary',
        'description' => __('The primary sidebar widget area', 'themater'),
        'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    
    $theme->add_hook('sidebar_primary', 'sidebar_primary_default_widgets');
    
    function sidebar_primary_default_widgets ()
    {
        global $theme;

        $theme->display_widget('Search');
        $theme->display_widget('Tabs');
        $theme->display_widget('Facebook', array('url'=> 'https://www.facebook.com/FlexiThemes'));
        $theme->display_widget('Banners125', array('banners' => array('<a href="https://flexithemes.com/wp-content/pro/b125-1.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-1.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-2.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-2.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-13.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-3.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-4.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-4.gif" alt="Check for details" /></a>')));
        $theme->display_widget('Archives');
        $theme->display_widget('Tag_Cloud');
        $theme->display_widget('Text', array('text' => '<div style="text-align:center;"><a href="https://flexithemes.com/wp-content/pro/b260.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b260.gif" alt="Check for details" /></a></div>'));
    }
    
    // Register the Homepage widgets
    register_sidebar(array(
        'name' => 'Homepage Widget Area 1',
        'id' => 'homepage_1',
        'description' => 'The homepage #1 widget area',
        'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    register_sidebar(array(
        'name' => 'Homepage Widget Area 2',
        'id' => 'homepage_2',
        'description' => 'The homepage #2 widget area',
        'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    register_sidebar(array(
        'name' => 'Homepage Widget Area 3',
        'id' => 'homepage_3',
        'description' => 'The homepage #3 widget area',
        'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    $theme->add_hook('homepage_1', 'homepage_1_default_widgets');
    $theme->add_hook('homepage_2', 'homepage_2_default_widgets');
    $theme->add_hook('homepage_3', 'homepage_3_default_widgets');
    
    function homepage_1_default_widgets ()
    {
        global $theme;
        $theme->display_widget('InfoBox', 
            array( 
                'title' => 'Fully Responsive', 
                'description' => 'Lorem ipsum dolor sit amet, test link adipiscing elit. Nullam dignissim convallis est lone part',
                'link' => '#',
                'more_label' => '',
                'image' => get_template_directory_uri() . '/images/services1.png',
                'image_position' => 'before_description',
                'image_align' => 'aligncenter',
                'link_title' => 'true',
                'link_description' => '',
                'link_image' => ''
            ) 
        );
        
        $theme->display_widget('InfoBox', 
            array( 
                'title' => 'Infobox with image', 
                'description' => 'Lorem ipsum dolor sit amet, test link adipiscing elit. Nullam dignissim convallis est lone part',
                'link' => '#',
                'more_label' => '',
                'image' => get_template_directory_uri() . '/images/imageservices1.jpg',
                'image_position' => 'before_title',
                'image_align' => 'aligncenter',
                'link_title' => 'true',
                'link_description' => '',
                'link_image' => ''
            ) 
        );
    }
    
    function homepage_2_default_widgets ()
    {
        global $theme;
        $theme->display_widget('InfoBox', 
            array( 
                'title' => 'Friendly Support', 
                'description' => 'Lorem ipsum dolor sit amet, test link adipiscing elit. Nullam dignissim convallis est lone part',
                'link' => '#',
                'more_label' => '',
                'image' => get_template_directory_uri() . '/images/services2.png',
                'image_position' => 'before_description',
                'image_align' => 'aligncenter',
                'link_title' => 'true',
                'link_description' => '',
                'link_image' => ''
            ) 
        );
        
        $theme->display_widget('InfoBox', 
            array( 
                'title' => 'Yet another image', 
                'description' => 'Lorem ipsum dolor sit amet, test link adipiscing elit. Nullam dignissim convallis est lone part',
                'link' => '#',
                'more_label' => '',
                'image' => get_template_directory_uri() . '/images/imageservices2.jpg',
                'image_position' => 'before_title',
                'image_align' => 'aligncenter',
                'link_title' => 'true',
                'link_description' => '',
                'link_image' => ''
            ) 
        );
    }
    
    function homepage_3_default_widgets ()
    {
        global $theme;
        $theme->display_widget('InfoBox', 
            array( 
                'title' => 'Maximum Results', 
                'description' => 'Lorem ipsum dolor sit amet, test link adipiscing elit. Nullam dignissim convallis est lone part',
                'link' => '#',
                'more_label' => '',
                'image' => get_template_directory_uri() . '/images/services3.png',
                'image_position' => 'before_description',
                'image_align' => 'aligncenter',
                'link_title' => 'true',
                'link_description' => '',
                'link_image' => ''
            ) 
        );
        
        $theme->display_widget('InfoBox', 
            array( 
                'title' => 'Super image', 
                'description' => 'Lorem ipsum dolor sit amet, test link adipiscing elit. Nullam dignissim convallis est lone part',
                'link' => '#',
                'more_label' => '',
                'image' => get_template_directory_uri() . '/images/imageservices3.jpg',
                'image_position' => 'before_title',
                'image_align' => 'aligncenter',
                'link_title' => 'true',
                'link_description' => '',
                'link_image' => ''
            ) 
        );
    }
    
    // Register the footer widgets only if they are enabled from the FlexiPanel
    if($theme->display('footer_widgets')) {
        register_sidebar(array(
            'name' => 'Footer Widget Area 1',
            'id' => 'footer_1',
            'description' => 'The footer #1 widget area',
            'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
            'after_widget' => '</li></ul>',
            'before_title' => '<h3 class="widgettitle">',
            'after_title' => '</h3>'
        ));
        
        register_sidebar(array(
            'name' => 'Footer Widget Area 2',
            'id' => 'footer_2',
            'description' => 'The footer #2 widget area',
            'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
            'after_widget' => '</li></ul>',
            'before_title' => '<h3 class="widgettitle">',
            'after_title' => '</h3>'
        ));
        
        register_sidebar(array(
            'name' => 'Footer Widget Area 3',
            'id' => 'footer_3',
            'description' => 'The footer #3 widget area',
            'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
            'after_widget' => '</li></ul>',
            'before_title' => '<h3 class="widgettitle">',
            'after_title' => '</h3>'
        ));
        
        $theme->add_hook('footer_1', 'footer_1_default_widgets');
        $theme->add_hook('footer_2', 'footer_2_default_widgets');
        $theme->add_hook('footer_3', 'footer_3_default_widgets');
        
        function footer_1_default_widgets ()
        {
            global $theme;
            $theme->display_widget('Posts',  
                array(
                    'title' => 'From the blog',
                    'posts_number' => '3',
                    'order_by' => 'none',
                    'display_title' => 'true',
                    'display_date' => 'true',
                    'display_author' => 'true',
                    'display_content' => '',
                    'display_featured_image' => 'true',
                    'display_read_more' => '',
                    'content_type' => 'the_excerpt',
                    'excerpt_length' => '26',
                    'featured_image_width' => '60',
                    'featured_image_height' => '40',
                    'featured_image_align' => 'alignleft',
                    'filter' => 'recent',
                    'filter_cats' => '',
                    'filter_tags' => ''
                ) 
            );
        }
        
        function footer_2_default_widgets ()
        {
            global $theme;
            $theme->display_widget('Search');
            $theme->display_widget('Tag_Cloud');
        }
        
        function footer_3_default_widgets ()
        {
            global $theme;
            $theme->display_widget('Text', array('title' => 'Contact', 'text' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nis.<br /><br /> <span style="font-weight: bold;">Our Company Inc.</span><br />2458 S . 124 St.Suite 47<br />Town City 21447<br />Phone: 124-457-1178<br />Fax: 565-478-1445'));
        }
    }

    
?>